/*import { CustomizeSkeleton } from "../../../customization-cornor";
import { MonthPropTypes } from "../../Components.manifest";
import MonthImplementation from "./Month.skeleton";

function Month(props){
    let {customComponent,month, onClick,monthNamesData } = props;
    let monthIndex = monthNamesData.indexOf(month);
    monthIndex = monthIndex === -1 ? 0 : monthIndex;
    let renderProps={
        onClick:(e)=>onClick(e,monthIndex)
    }
    return(
        CustomizeSkeleton(props,renderProps,MonthImplementation,customComponent)
    )
}
Month.proptypes=MonthPropTypes()
export default Month
Month.docs={
    componentGroup:'DateTime',
    folderName:'DateWidget'
}*/
import React from "react";
import SkeletonThemeWrapper from "../../../customization-cornor/skeletonCustomization";
export default (props => {
  let {
    month,
    onClick,
    monthNamesData
  } = props;
  let monthIndex = monthNamesData.indexOf(month);
  monthIndex = monthIndex === -1 ? 0 : monthIndex;
  let renderProps = {
    onClick: e => onClick(e, monthIndex)
  };
  let {
    renderComponent,
    ...basicProps
  } = props;
  return /*#__PURE__*/React.createElement(SkeletonThemeWrapper, {
    basicProps: basicProps,
    renderProps: renderProps,
    component: renderComponent
  });
});